import { Injectable } from '@angular/core';
import PocketBase from 'pocketbase';
import { environment } from '../../environments/environment';
import { Router } from '@angular/router';

@Injectable({
  providedIn: 'root',
})
export class LogoutService {
  private pb = new PocketBase(environment.POCKETBASE);

  constructor(private router: Router) {}

  logout() {
    this.pb.authStore.clear();
    this.router.navigate(['']);
  }
}
